Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.client
Interface ProducerAgent

All Known Subinterfaces:
  ProducerManager

    public interface ProducerAgent

This interface is provided for discovering a producer and setting up from a consumer from stand-alone clients.

This interface does not support WS-Security policies. To perform similar operations from a portal consumer web application or other web based tools like Portal Administration tools, use the `ProducerManager`. `ProducerManager` does support security.

See Also
  `ProducerManager`
  This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Nested Class Summary
`static class` | `ProducerAgent.Factory` A `ProducerAgent` factory.

Method Summary
`void` | `deregister(String wsdlUrl, IRegistrationContext registrationContext)` Deregisters with the given producer.
`IPortletDescription` | `getPortletDescription(String wsdlUrl, IRegistrationContext registrationContext, String portletHandle)` Returns the description of the portlet identitified by the given portletHandle.
`IPortletDescription` | `getPortletDescription(String wsdlUrl, IRegistrationContext registrationContext, String portletHandle, byte[] portletState)` Returns the description of the portlet identitified by the given portletHandle.
`IServiceDescription` | `getServiceDescription(String wsdlUrl, IRegistrationContext registrationContext)` Returns the service description given the producer's WSDL URL.
`IRegistrationContext` | `modifyRegistration(String wsdlUrl, IRegistrationContext registrationContext, String consumerName, String consumerAgent, Map<String,Object> registrationProperties, String[] customUserProperties)` Modifies an existing registration with the given producer.
`IRegistrationContext` | `register(String wsdlUrl, String consumerName, String consumerAgent, Map<String,?> registrationProperties, String[] customUserProperties)` Registers with the given producer.

Method Detail

### getServiceDescription

    IServiceDescription getServiceDescription(String wsdlUrl,
                                              IRegistrationContext registrationContext)
                                              throws InvalidRegistrationException,
                                                     OperationFailedException,
                                                     IOException

  Returns the service description given the producer's WSDL URL. If the consumer is registered, supply the registration context.

  Parameters
    `wsdlUrl` - WSDL URL of the producer
    `registrationContext` - registration context. Supply null if the consumer is not registered.
  Throws
    `InvalidRegistrationException` - thrown when the supplied registration context is not valid.
    `OperationFailedException` - throw when the producer is unable to process the request.
    `IOException`

### getPortletDescription

    IPortletDescription getPortletDescription(String wsdlUrl,
                                              IRegistrationContext registrationContext,
                                              String portletHandle)
                                              throws InvalidRegistrationException,
                                                     OperationFailedException,
                                                     InvalidHandleException,
                                                     IOException

  Returns the description of the portlet identitified by the given portletHandle.

  Parameters
    `wsdlUrl` - Producer's WSDL URL
    `registrationContext` - registration context. Supply null if the consumer is not registered.
    `portletHandle` - portlet handle
  Returns
    portlet description
  Throws
    `InvalidRegistrationException` - thrown when the supplied registration context is not valid.
    `OperationFailedException` - throw when the producer is unable to process the request.
    `InvalidHandleException`
    `IOException`

### getPortletDescription

    IPortletDescription getPortletDescription(String wsdlUrl,
                                              IRegistrationContext registrationContext,
                                              String portletHandle,
                                              byte[] portletState)
                                              throws InvalidRegistrationException,
                                                     OperationFailedException,
                                                     InvalidHandleException,
                                                     IOException

  Returns the description of the portlet identitified by the given portletHandle.

  Parameters
    `wsdlUrl` - Producer's WSDL URL
    `registrationContext` - registration context. Supply null if the consumer is not registered.
    `portletHandle` - portlet handle
    `portletState` - The portlet's state (may be null)
  Returns
    portlet description
  Throws
    `InvalidRegistrationException` - thrown when the supplied registration context is not valid.
    `OperationFailedException` - throw when the producer is unable to process the request.
    `InvalidHandleException`
    `IOException`

### register

    IRegistrationContext register(String wsdlUrl,
                                  String consumerName,
                                  String consumerAgent,
                                  Map<String,?> registrationProperties,
                                  String[] customUserProperties)
                                  throws MissingParametersException,
                                         OperationFailedException,
                                         IOException

  Registers with the given producer.

  Parameters
    `wsdlUrl` - WSDL URL of the producer
    `consumerName` - consumer name
    `consumerAgent` - consumer agent
    `registrationProperties` - Registration properties. If the producer does not require registration, or if the consumer is unable to supply any registration properties, supply a null or an empty map. The registration properties must be of type specified by the producer via `IRegistrationPropertyDescription`
  Returns
    registration context
  Throws
    `MissingParametersException` - throw when certain registration properties are missing.
    `OperationFailedException` - throw when the producer is unable to process the request.
    `IOException`
  See Also
    `IRegistrationPropertyDescription`

### deregister

    void deregister(String wsdlUrl,
                    IRegistrationContext registrationContext)
                    throws InvalidRegistrationException,
                           OperationFailedException,
                           IOException

  Deregisters with the given producer. For this operation to succeed, the given registration context must be valid.

  Parameters
    `wsdlUrl` - WSDL URL of the producer
    `registrationContext` - current registration context
  Throws
    `InvalidRegistrationException` - thrown when the supplied registration context is not valid.
    `OperationFailedException` - throw when the producer is unable to process the request.
    `IOException`

### modifyRegistration

    IRegistrationContext modifyRegistration(String wsdlUrl,
                                            IRegistrationContext registrationContext,
                                            String consumerName,
                                            String consumerAgent,
                                            Map<String,Object> registrationProperties,
                                            String[] customUserProperties)
                                            throws InvalidRegistrationException,
                                                   MissingParametersException,
                                                   OperationFailedException,
                                                   IOException

  Modifies an existing registration with the given producer. The given registration context must be valid for this operation to succeed.

  Parameters
    `wsdlUrl` - WSDL URL of the producer
    `registrationContext` - current registration context
    `registrationProperties` - new/modified registration properties
  Returns
    registration context. The producer may have updated the registration state of this context.
  Throws
    `InvalidRegistrationException` - thrown when the supplied registration context is not valid.
    `MissingParametersException` - throw when certain registration properties are missing.
    `OperationFailedException` - throw when the producer is unable to process the request.
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.